Name:           perl-Mojolicious-Plugin-AssetPack
Version:        0.69
Release:        2%{?dist}
Summary:        Compress and convert CSS, Less, Sass, JavaScript and CoffeeScript files
License:        Artistic 2.0

URL:            http://search.cpan.org/dist/Mojolicious-Plugin-AssetPack/
Source0:        http://www.cpan.org/authors/id/J/JH/JHTHORSEN/Mojolicious-Plugin-AssetPack-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  coffee-script
BuildRequires:  make
BuildRequires:  nodejs-less
BuildRequires:  perl
BuildRequires:  perl(constant)
BuildRequires:  perl(CSS::Minifier::XS)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(File::Which)
BuildRequires:  perl(Imager::File::PNG)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(IPC::Run3)
BuildRequires:  perl(JavaScript::Minifier::XS)
BuildRequires:  perl(Mojo::Base)
BuildRequires:  perl(Mojo::ByteStream)
BuildRequires:  perl(Mojo::EventEmitter)
BuildRequires:  perl(Mojo::JSON)
BuildRequires:  perl(Mojolicious)
BuildRequires:  perl(Mojolicious::Lite)
BuildRequires:  perl(Mojolicious::Types)
BuildRequires:  perl(Mojolicious::Plugin)
BuildRequires:  perl(Mojo::UserAgent)
BuildRequires:  perl(Mojo::Util)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Test::Mojo)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(overload)
BuildRequires:  perl(warnings)
Requires:       perl(Imager::File::PNG)
Requires:       perl(Mojo::UserAgent)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
Mojolicious::Plugin::AssetPack is a Mojolicious plugin which can be used to
cram multiple assets of the same type into one file. This means that if you
have a lot of CSS files (.css, .less, .sass, ...) as input, the AssetPack
can make one big CSS file as output. This is good, since it will often
speed up the rendering of your page. The output file can even be minified,
meaning you can save bandwidth and browser parsing time.

%prep
%setup -q -n Mojolicious-Plugin-AssetPack-%{version}
sed -i -e '1s,#!.*perl,#!%{__perl},' examples/sprites.pl

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README examples
%{perl_vendorlib}/Mojolicious*
%{_mandir}/man3/Mojolicious*

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.69-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Dec 06 2015 Emmanuel Seyman <emmanuel@seyman.fr> - 0.69-1
- Update to 0.69

* Tue Sep 29 2015 Emmanuel Seyman <emmanuel@seyman.fr> - 0.68-2
- Take into account review comments (#1267036)

* Mon Sep 28 2015 Emmanuel Seyman <emmanuel@seyman.fr> - 0.68-1
- Update to 0.68

* Fri Sep 25 2015 Emmanuel Seyman <emmanuel@seyman.fr> - 0.64-1
- Update to 0.64

* Tue Aug 25 2015 Emmanuel Seyman <emmanuel@seyman.fr> - 0.61-1
- Update to 0.61

* Sun Aug 16 2015 Emmanuel Seyman <emmanuel@seyman.fr> - 0.58-1
- Specfile autogenerated by cpanspec 1.78.
